veraltete jQuery Plugins

Support zu BlackCat CMS allgemein
Antworten
Benutzeravatar
shadowcat
Administrator
Beiträge: 4570
Registriert: Di 5. Feb 2013, 10:36
Kontaktdaten:

veraltete jQuery Plugins

Beitrag von shadowcat » Fr 14. Feb 2014, 11:49

Folgende jQuery Plugins stehen in neueren Versionen zur Verfügung als die, die wir mitliefern. Wir werden die nach und nach aktualisieren, müssen aber vorher sicher sein, dass die neuen Versionen mit unserem Backend funktionieren.

BGIframe
https://github.com/brandonaaron/bgiframe
3.0.1 aktuell

Cluetip:
1.0.6 (aktuell 1.2.10)
Änderung in der API, daher Update problematisch
Stand 12.05.2015: Der Support für das Plugin ist eingestellt, wir werden vermutlich auf qTip2 wechseln, müssen aber noch prüfen, ob uns das Probleme bereitet.
Durch qTip2 ersetzt

Cookie
https://github.com/carhartl/jquery-cookie
1.4.1 aktuell (seit BC 1.0.3)

Easing
http://gsgd.co.uk/sandbox/jquery/easing/
1.3 aktuell

Form
http://malsup.com/jquery/form/
3.51 aktuell

Highlight
http://johannburkard.de/blog/programmin ... lugin.html
v5 aktuell

Livesearch
https://github.com/jherrm/livesearch
1.0 aktuell

Migrate
v1.1.1 (aktuell 1.4.1 --- Update mit BC 1.2.2)

Mousewheel
https://github.com/jquery/jquery-mousewheel
3.1.12 (aktuell 3.1.13 --- Update mit BC 1.2.2)

qTip2
http://qtip2.com/
v2.2.1 (aktuell 3.0.3)

QUnit
https://github.com/jquery/qunit
unbekannt (aktuell 2.0.1)

Timepicker
https://github.com/trentrichardson/jQue ... cker-Addon
1.4.3 (aktuell 1.6.3 --- Update mit BC 1.2.2)

Smarttruncation
https://github.com/polarblau/smarttruncation
unbekannt (aktuell 1.0.0)

Zuletzt aktualisiert am 12.09.2016

2016-09-12: Mittlerweile steht jQuery 3.x zur Verfügung, wir werden aber voraussichtlich erst mit BC 2.0 aktualisieren, da es wieder etliche Plugins geben wird, die damit nicht mehr laufen.
My software never has bugs, it just develops random features.
BC1: PHP 5.5.11 (cli), mySQL 5.6.16 with 'strict' enabled, Apache 2.4.9
BC2: PHP 7.2.7, mariaDB 10.2.13, no Apache

Antworten